///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	p25_frame.hpp
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _P25_FRAMES_H
#define	_P25_FRAMES_H

/*
#define FS_BLEN				48
#define NID1_OFFSET			FS_BLEN
#define NID1_BLEN			22
#define SS_OFFSET			(NID1_OFFSET + NID1_BLEN)
#define SS_BLEN				2
#define NID2_OFFSET			(SS_OFFSET + SS_BLEN)
#define NID2_BLEN			42
#define HDR_BLEN			(NID2_OFFSET + NID2_BLEN)

#define DUID_HDU			0
#define DUID_TDU			3
#define DUID_LDU1			5
#define DUID_TSB			7
#define DUID_LDU2			10
#define DUID_PDU			12
#define DUID_TDU_LCW		15

#define HDU_BLEN			792
#define TDU_BLEN			144
#define TDU_LCW_BLEN		432
#define LDU_BLEN			1728
*/

int frame_header_decode(char* );
int frame_header_encode(char *);
static int get_frame_length(char *);

#endif
