#ifndef _FILTER_H
#define _FILTER_H

struct fir {
	int order;
	float *coef;
	float *regs;
};

struct fir *fir_alloc(float *coef, int n);
void fir_free(struct fir *f);
void fir_reset(struct fir *f);
float fir_seq(struct fir *f, float x);

#endif
