#ifndef CONSTS_H
#define CONSTS_H

#define CHNL_DATA_BUFFER_SZ	128

#define ARM_NORMAL_MODE			10
#define ARM_TEST_MODE			11

// Used only by DSP
#define ARM_NORMAL_MODE_RUN		20
#define ARM_TEST_MODE_RUN		21

#define PKT_HDR_CNTRL		0x0000AABB
#define PKT_HDR_DATA		0x0000DDEE

#define PKT_HDR_ENCRYPT		0x0000CCFF
#define PKT_HDR_DECRYPT		0x0000CCAA

#define CRYPT_ENCRYPTION	PKT_HDR_ENCRYPT
#define CRYPT_DECRYPTION	PKT_HDR_DECRYPT
#define CRYPT_END			PKT_HDR_CNTRL

#endif //CONSTS_H 
